
#include "pch.h"
#include "MemDumpView.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CMemDumpView
IMPLEMENT_DYNAMIC(CMemDumpView, CDocPaneDlgViewBase)

CMemDumpView::CMemDumpView(UINT nErrID)
	: CDocPaneDlgViewBase(nErrID)
{
	m_pDlg = &m_Dlg;
}

CMemDumpView::~CMemDumpView()
    = default;

BEGIN_MESSAGE_MAP(CMemDumpView, CDocPaneDlgViewBase)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// обработчики сообщений CMemDumpView

void CMemDumpView::DisplayMemDump()
{
	if (IsVisible())
	{
		m_Dlg.DisplayMemDump();
	}
}

